Subject: Re: Solicitation for a discussion on Keyword-basedaddressing

From: "张国强" <[email-masked]>
Date: Thu, 02 Apr 2009 09:27:33 +0800

�����������������ᵽ:
>From: John C Klensin <[email-masked]>
>Reply-To: 
>To: Paul Hoffman <[email-masked]>, Stephane Bortzmeyer <[email-masked]>,
zhangguoqiang <[email-masked]>
>Subject: Re: Solicitation for a discussion on Keyword-based
addressing
>Date:Wed, 01 Apr 2009 13:43:28 -0400
>
>--On Wednesday, April 01, 2009 09:18 -0700 Paul Hoffman
> <[email-masked]> wrote:
> 
> > At 10:48 AM +0200 4/1/09, Stephane Bortzmeyer wrote:
> >> On Wed, Apr 01, 2009 at 11:16:36AM +0800,
> >> zhangguoqiang <[email-masked]> wrote
> >> a message of 156 lines which said:
> >> 
> >>> Different from search engines, keyword-based addressing is an
> >>> addressing technology. Based on whether a keyword is
> >>> registered or not, the resolution result is determinstic for
> >>> any given keyword,
> >> 
> >> Then it will have all the problems of the domain names,
> >> including bureaucratic registration rules, UDRP, lawyers,
> >> ICANN, etc.
> > 
> > It will have *some* of the problems of those systems, but not
> > all of them. The problems will be limited by the policies
> > adopted by the keyword admins.
> 
> Yes.  And because of the distributed nature of DDDS, there is
> potentially less "opportunity" for arguments about the One True
> Root and who is in charge of it, disputes about who has "rights"
> to establish a tree, etc.  Localization of those issues would be
> a huge help with regard to the set of problems we have
> encountered with the DNS (and of which ICANN, lawyers, UDRP,
> etc., are either causes or symptoms, depending on how one looks
> at the situation).
> 
> Whether this draft, which seems to assume a country-based
> structure, is the best one, is another matter that at least
> deserves further study.
Yes, I agree. I also have a languged-based structure, a little bit more
complicated.

> >> > For example, if you are a blogger of a portal blog website,
> >>> typically, you are assigned a URL that identifies your blog.
> >>> It is usually composed of two parts: a domain name and an
> >>> ID(typically a magic number). So how can you advertise your
> >>> blog to your friends?
> >> 
> >> tinyurl.com
> > 
> > That is one answer, but not a protocol.
> 
> It is also a single point of failure located at a few addresses
> close together on the Internet, with all that implies about
> scaling and robustness.
> 
> >> But it is simpler to buy a domain name and redirect.
> > 
> > How is that simpler than buying a keyword?!?
> >...
> 
> I've read this draft a couple of times and will need to read it
> at least once more before being ready to comment in-depth.  My
> sense so far is that it needs work and that I'd like to
> understand why certain decisions were made, but that the idea is
> interesting for all of the reasons why keyword systems "above
> the DNS" have always been interesting.
> 
> I find it interesting that Stephane's note doesn't address any
> of the issues that occurred to me as a read through the draft
> (perhaps another symptom of his having not read the draft).
> For example, IDNs are inevitably a compromise with the rather
> weak matching rules of the DNS, the absence of information about
> language or other localization clues, etc.  One of the arguments
> often given about keyword systems is that they can be localized,
> taking advantage of language and other knowledge to permit name
> structures and matching that are more suited to the needs of
> local users.   This proposal, however, uses IDNA (RFC3490)
> processing and encoding, which seems to discard that advantage.

Yes, since we currently use the DNS as the valid DDDS database, we have the same
problem encountered by IDNA. However, DNS is only one kind of valid DDDS
database(surely it is the only DDDS database defined so far). Maybe we can define
another valid DDDS database which accepts Unicode. Should this solve the problem?

>     john